diff -Naur -X ./exclude vnc_unixsrc.orig/vncviewer/Vncviewer vnc_unixsrc/vncviewer/Vncviewer
--- vnc_unixsrc.orig/vncviewer/Vncviewer	2003-02-07 05:30:57.000000000 -0500
+++ vnc_unixsrc/vncviewer/Vncviewer	2008-08-24 16:26:01.000000000 -0400
@@ -1,20 +1,22 @@
 !
-! Application defaults file for vncviewer.
+! Application defaults file for SSVNC vncviewer.
+!
+! N.B.: You will need to rename this file to be "Ssvnc" instead of "Vncviewer"
 !
 
 
 !
 ! The title of the main window.  "%s" will be replaced by the desktop name.
-! 
+!
 
-Vncviewer.title: TightVNC: %s
+Ssvnc.title: SSVNC: %s Press F8 for Menu
 
 
 !
 ! Translations on the main window.
 !
 
-Vncviewer.translations:\
+Ssvnc.translations:\
   <Enter>: SelectionToVNC()\n\
   <Leave>: SelectionFromVNC()
 
@@ -23,7 +25,7 @@
 ! Uncomment to grab the keyboard in full-screen mode.
 !
 
-! Vncviewer.grabKeyboard: True
+! Ssvnc.grabKeyboard: True
 
 
 !
@@ -43,6 +45,9 @@
 *viewport.useRight: True
 *viewport*Scrollbar*thumb: None
 
+*viewport.horizontal.height:   6
+*viewport.vertical.width:   6
+
 
 !
 ! Default translations on desktop window.
@@ -50,89 +55,591 @@
 
 *desktop.baseTranslations:\
   <Key>F8: ShowPopup()\n\
+  <Key>F9: ToggleFullScreen()\n\
   <ButtonPress>: SendRFBEvent()\n\
   <ButtonRelease>: SendRFBEvent()\n\
   <Motion>: SendRFBEvent()\n\
   <KeyPress>: SendRFBEvent()\n\
   <KeyRelease>: SendRFBEvent()
 
+*viewport.horizontal.translations: #override\n\
+     <KeyPress>Right:  StartScroll(Forward)\n\
+     <KeyRelease>Right:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>Left:  StartScroll(Backward)\n\
+     <KeyRelease>Left:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>Next:  StartScroll(Forward)\n\
+     <KeyRelease>Next:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>Prior:  StartScroll(Backward)\n\
+     <KeyRelease>Prior:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>z:  StartScroll(Forward)\n\
+     <KeyRelease>z:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>a:  StartScroll(Backward)\n\
+     <KeyRelease>a:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>f:  StartScroll(Forward)\n\
+     <KeyRelease>f:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>b:  StartScroll(Backward)\n\
+     <KeyRelease>b:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>Down:  StartScroll(Forward)\n\
+     <KeyRelease>Down:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>Up:  StartScroll(Backward)\n\
+     <KeyRelease>Up:  NotifyScroll(FullLength) EndScroll()
+
+*viewport.vertical.translations: #override\n\
+     <KeyPress>Down:  StartScroll(Forward)\n\
+     <KeyRelease>Down:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>Up:  StartScroll(Backward)\n\
+     <KeyRelease>Up:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>Next:  StartScroll(Forward)\n\
+     <KeyRelease>Next:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>Prior:  StartScroll(Backward)\n\
+     <KeyRelease>Prior:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>z:  StartScroll(Forward)\n\
+     <KeyRelease>z:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>a:  StartScroll(Backward)\n\
+     <KeyRelease>a:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>f:  StartScroll(Forward)\n\
+     <KeyRelease>f:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>b:  StartScroll(Backward)\n\
+     <KeyRelease>b:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>Right:  StartScroll(Forward)\n\
+     <KeyRelease>Right:  NotifyScroll(FullLength) EndScroll()\n\
+     <KeyPress>Left:  StartScroll(Backward)\n\
+     <KeyRelease>Left:  NotifyScroll(FullLength) EndScroll()
+
 
 !
 ! Dialog boxes
 !
 
 *serverDialog.dialog.label: VNC server:
+
 *serverDialog.dialog.value:
+
 *serverDialog.dialog.value.translations: #override\n\
-  <Key>Return: ServerDialogDone()
+     <Key>Return: ServerDialogDone()
+
+*ycropDialog.dialog.label: Y Crop (max-height in pixels):
+
+*ycropDialog.dialog.value:
+
+*ycropDialog.dialog.value.translations: #override\n\
+     <Key>Return: YCropDialogDone()
+
+*scbarDialog.dialog.label: Scroll Bars width:
+
+*scbarDialog.dialog.value:
+
+*scbarDialog.dialog.value.translations: #override\n\
+     <Key>Return: ScbarDialogDone()
+
+*scaleDialog.dialog.label: Integer n for 1/n server scaling:
+
+*scaleDialog.dialog.value:
+
+*scaleDialog.dialog.value.translations: #override\n\
+     <Key>Return: ScaleDialogDone()
 
 *passwordDialog.dialog.label: Password:
+
 *passwordDialog.dialog.value:
+
 *passwordDialog.dialog.value.AsciiSink.echo: False
+
 *passwordDialog.dialog.value.translations: #override\n\
-  <Key>Return: PasswordDialogDone()
+     <Key>Return: PasswordDialogDone()
 
 
 !
 ! Popup window appearance
 !
 
-*popup.title: TightVNC popup
+*popup.title: SSVNC popup
+
 *popup*background: grey
-*popup*font: -*-helvetica-bold-r-*-*-16-*-*-*-*-*-*-*
-*popup.buttonForm.Command.borderWidth: 0
-*popup.buttonForm.Toggle.borderWidth: 0
+
+*popup*font_old: -*-helvetica-bold-r-*-*-16-*-*-*-*-*-*-*
+
+*popup*font: -*-helvetica-medium-r-*-*-12-*-*-*-*-*-*-*
+
+*popup.buttonForm*.Command.borderWidth: 0
+
+*popup.buttonForm*.Toggle.borderWidth: 0
+
+*scaleN.title: 1/n scale
+
+*scaleN*background: grey
+
+*scaleN*font: -*-helvetica-medium-r-*-*-12-*-*-*-*-*-*-*
+
+*scaleN.buttonForm.Command.borderWidth: 0
+
+*scaleN.buttonForm.Toggle.borderWidth: 0
+
+*quality.title: quality
+
+*quality*background: grey
+
+*quality*font: -*-helvetica-medium-r-*-*-12-*-*-*-*-*-*-*
+
+*quality.buttonForm.Command.borderWidth: 0
+
+*quality.buttonForm.Toggle.borderWidth: 0
+
+*compress.title: compress
+
+*compress*background: grey
+
+*compress*font: -*-helvetica-medium-r-*-*-12-*-*-*-*-*-*-*
+
+*compress.buttonForm.Command.borderWidth: 0
+
+*compress.buttonForm.Toggle.borderWidth: 0
+
 
 !
 ! Translations on popup window - send key presses through
 !
 
 *popup.translations: #override <Message>WM_PROTOCOLS: HidePopup()
+
 *popup.buttonForm.translations: #override\n\
-  <KeyPress>: SendRFBEvent() HidePopup()
+     <KeyPress>: SendRFBEvent() HidePopup()
 
 
 !
 ! Popup buttons
 !
 
-*popupButtonCount: 8
+*popupButtonCount: 38
+
+*popupButtonBreak: 19
 
 *popup*button1.label: Dismiss popup
+
 *popup*button1.translations: #override\n\
-  <Btn1Down>,<Btn1Up>: HidePopup()
+     <Btn1Down>,<Btn1Up>: HidePopup()
 
 *popup*button2.label: Quit viewer
+
 *popup*button2.translations: #override\n\
-  <Btn1Down>,<Btn1Up>: Quit()
+     <Btn1Down>,<Btn1Up>: Quit()
+
+*popup*button3.label: Full screen  (also F9)
 
-*popup*button3.label: Full screen
 *popup*button3.type: toggle
+
 *popup*button3.translations: #override\n\
-  <Visible>: SetFullScreenState()\n\
-  <Btn1Down>,<Btn1Up>: toggle() HidePopup() ToggleFullScreen()
+     <Visible>: SetFullScreenState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleFullScreen() HidePopup()
 
 *popup*button4.label: Clipboard: local -> remote
+
 *popup*button4.translations: #override\n\
-  <Btn1Down>,<Btn1Up>: SelectionToVNC(always) HidePopup()
+     <Btn1Down>,<Btn1Up>: SelectionToVNC(always) HidePopup()
 
 *popup*button5.label: Clipboard: local <- remote
+
 *popup*button5.translations: #override\n\
-  <Btn1Down>,<Btn1Up>: SelectionFromVNC(always) HidePopup()
+     <Btn1Down>,<Btn1Up>: SelectionFromVNC(always) HidePopup()
 
 *popup*button6.label: Request refresh
+
 *popup*button6.translations: #override\n\
-  <Btn1Down>,<Btn1Up>: SendRFBEvent(fbupdate) HidePopup()
+     <Btn1Down>,<Btn1Up>: SendRFBEvent(fbupdate) HidePopup()
 
 *popup*button7.label: Send ctrl-alt-del
+
 *popup*button7.translations: #override\n\
-  <Btn1Down>,<Btn1Up>: SendRFBEvent(keydown,Control_L)\
-                       SendRFBEvent(keydown,Alt_L)\
-                       SendRFBEvent(key,Delete)\
-                       SendRFBEvent(keyup,Alt_L)\
-                       SendRFBEvent(keyup,Control_L)\
-                       HidePopup()
+     <Btn1Down>,<Btn1Up>: SendRFBEvent(keydown,Control_L)     SendRFBEvent(keydown,Alt_L)     SendRFBEvent(key,Delete)     SendRFBEvent(keyup,Alt_L)     SendRFBEvent(keyup,Control_L)     HidePopup()
 
 *popup*button8.label: Send F8
+
 *popup*button8.translations: #override\n\
-  <Btn1Down>,<Btn1Up>: SendRFBEvent(key,F8) HidePopup()
+     <Btn1Down>,<Btn1Up>: SendRFBEvent(key,F8) HidePopup()
+
+*popup*button9.label: Send F9
+
+*popup*button9.translations: #override\n\
+     <Btn1Down>,<Btn1Up>: SendRFBEvent(key,F9) HidePopup()
+
+*popup*button10.label: ViewOnly
+
+*popup*button10.type: toggle
+
+*popup*button10.translations: #override\n\
+     <Visible>: SetViewOnlyState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleViewOnly() HidePopup()
+
+*popup*button11.label: Disable Bell
+
+*popup*button11.type: toggle
+
+*popup*button11.translations: #override\n\
+     <Visible>: SetBellState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleBell() HidePopup()
+
+*popup*button12.label: Cursor Shape
+
+*popup*button12.type: toggle
+
+*popup*button12.translations: #override\n\
+     <Visible>: SetCursorShapeState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleCursorShape() HidePopup()
+
+*popup*button13.label: X11 Cursor
+
+*popup*button13.type: toggle
+
+*popup*button13.translations: #override\n\
+     <Visible>: SetX11CursorState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleX11Cursor() HidePopup()
+
+*popup*button14.label: Cursor Alphablend
+
+*popup*button14.type: toggle
+
+*popup*button14.translations: #override\n\
+     <Visible>: SetCursorAlphaState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleCursorAlpha() HidePopup()
+
+*popup*button15.label: Toggle Tight/ZRLE
+
+*popup*button15.type: toggle
+
+*popup*button15.translations: #override\n\
+     <Visible>: SetZRLEState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleTightZRLE() HidePopup()
+
+*popup*button16.label: Toggle ZRLE/ZYWRLE
+
+*popup*button16.type: toggle
+
+*popup*button16.translations: #override\n\
+     <Visible>: SetZYWRLEState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleZRLEZYWRLE() HidePopup()
+
+*popup*button17.label: Quality Level
+
+*popup*button17.translations: #override\n\
+     <Btn1Down>,<Btn1Up>: HidePopup() ShowQuality()
+
+*popup*button18.label: Compress Level
+
+*popup*button18.translations: #override\n\
+     <Btn1Down>,<Btn1Up>: HidePopup() ShowCompress()
+
+*popup*button19.label: Disable JPEG
+
+*popup*button19.type: toggle
+
+*popup*button19.translations: #override\n\
+     <Visible>: SetNOJPEGState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleJPEG() HidePopup()
+
+*popup*button20.label: Full Color
+
+*popup*button20.type: toggle
+
+*popup*button20.translations: #override\n\
+     <Visible>: SetFullColorState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleFullColor() HidePopup()
+
+*popup*button21.label: Grey Scale (16 & 8-bpp)
+
+*popup*button21.type: toggle
+
+*popup*button21.translations: #override\n\
+     <Visible>: SetGreyScaleState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleGreyScale() HidePopup()
+
+*popup*button22.label: 16 bit color (BGR565)
+
+*popup*button22.type: toggle
+
+*popup*button22.translations: #override\n\
+     <Visible>: Set16bppState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() Toggle16bpp() HidePopup()
+
+*popup*button23.label: 8   bit color (BGR233)
+
+*popup*button23.type: toggle
+
+*popup*button23.translations: #override\n\
+     <Visible>: Set8bppState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() Toggle8bpp() HidePopup()
+
+*popup*button24.label: -     256 colors
+
+*popup*button24.type: toggle
+
+*popup*button24.translations: #override\n\
+     <Visible>: Set256ColorsState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() Toggle256Colors() HidePopup()
+
+*popup*button25.label: -       64 colors
+
+*popup*button25.type: toggle
+
+*popup*button25.translations: #override\n\
+     <Visible>: Set64ColorsState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() Toggle64Colors() HidePopup()
+
+*popup*button26.label: -         8 colors
+
+*popup*button26.type: toggle
+
+*popup*button26.translations: #override\n\
+     <Visible>: Set8ColorsState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() Toggle8Colors() HidePopup()
+
+*popup*button27.label: Set Y Crop (y-max)
+
+*popup*button27.translations: #override\n\
+     <Btn1Down>,<Btn1Up>: HidePopup() SetYCrop()
+
+*popup*button28.label: Set Scrollbar Width
+
+*popup*button28.translations: #override\n\
+     <Btn1Down>,<Btn1Up>: HidePopup() SetScbar()
+
+*popup*button29.label: UltraVNC Extensions:
+
+*popup*button29.translations: #override\n\
+     <Btn1Down>,<Btn1Up>: HidePopup()
+
+*popup*button30.label: - Set 1/n Server Scale
+
+*popup*button30.translations: #override\n\
+     <Btn1Down>,<Btn1Up>: HidePopup() ShowScaleN()
+
+*popup*button31.label: - Text Chat
+
+*popup*button31.type: toggle
+
+*popup*button31.translations: #override\n\
+     <Visible>: SetTextChatState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleTextChat() HidePopup()
+
+*popup*button32.label: - File Transfer
+
+*popup*button32.type: toggle
+
+*popup*button32.translations: #override\n\
+     <Visible>: SetFileXferState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleFileXfer() HidePopup()
+
+*popup*button33.label: - Single Window
+
+*popup*button33.type: toggle
+
+*popup*button33.translations: #override\n\
+     <Visible>: SetSingleWindowState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleSingleWindow() HidePopup()
+
+*popup*button34.label: - Disable Remote Input
+
+*popup*button34.type: toggle
+
+*popup*button34.translations: #override\n\
+     <Visible>: SetServerInputState()\n\
+     <Btn1Down>,<Btn1Up>: toggle() ToggleServerInput() HidePopup()
+
+*popup*button35.label:
+
+*popup*button36.label:
+
+*popup*button37.label:
+
+*popup*button38.label:
+
+*scaleN*button0.label: Dismiss
+
+*scaleN*button0.translations: #override\n\
+     <Btn1Down>,<Btn1Up>: HideScaleN()
+
+*scaleN*button1.label: 1/1
+
+*scaleN*button1.translations: #override\n\
+     <Visible>: SetScaleNState(1)\n\
+     <Btn1Down>,<Btn1Up>: SetScaleN(1) HideScaleN()
+
+*scaleN*button2.label: 1/2
+
+*scaleN*button2.translations: #override\n\
+     <Visible>: SetScaleNState(2)\n\
+     <Btn1Down>,<Btn1Up>: SetScaleN(2) HideScaleN()
+
+*scaleN*button3.label: 1/3
+
+*scaleN*button3.translations: #override\n\
+     <Visible>: SetScaleNState(3)\n\
+     <Btn1Down>,<Btn1Up>: SetScaleN(3) HideScaleN()
+
+*scaleN*button4.label: 1/4
+
+*scaleN*button4.translations: #override\n\
+     <Visible>: SetScaleNState(4)\n\
+     <Btn1Down>,<Btn1Up>: SetScaleN(4) HideScaleN()
+
+*scaleN*button5.label: 1/5
+
+*scaleN*button5.translations: #override\n\
+     <Visible>: SetScaleNState(5)\n\
+     <Btn1Down>,<Btn1Up>: SetScaleN(5) HideScaleN()
+
+*scaleN*button6.label: Other
+
+*scaleN*button6.translations: #override\n\
+     <Visible>: SetScaleNState(6)\n\
+     <Btn1Down>,<Btn1Up>: HideScaleN() DoServerScale()
+
+*quality*buttonD.label: Dismiss
+
+*quality*buttonD.translations: #override\n\
+     <Btn1Down>,<Btn1Up>: HideQuality()
+
+*quality*button0.label: 0
+
+*quality*button0.type: toggle
+
+*quality*button0.translations: #override\n\
+     <Visible>: SetQualityState(0)\n\
+     <Btn1Down>,<Btn1Up>: SetQuality(0) HideQuality()
+
+*quality*button1.label: 1
+
+*quality*button1.type: toggle
+
+*quality*button1.translations: #override\n\
+     <Visible>: SetQualityState(1)\n\
+     <Btn1Down>,<Btn1Up>: SetQuality(1) HideQuality()
+
+*quality*button2.label: 2
+
+*quality*button2.type: toggle
+
+*quality*button2.translations: #override\n\
+     <Visible>: SetQualityState(2)\n\
+     <Btn1Down>,<Btn1Up>: SetQuality(2) HideQuality()
+
+*quality*button3.label: 3
+
+*quality*button3.type: toggle
+
+*quality*button3.translations: #override\n\
+     <Visible>: SetQualityState(3)\n\
+     <Btn1Down>,<Btn1Up>: SetQuality(3) HideQuality()
+
+*quality*button4.label: 4
+
+*quality*button4.type: toggle
+
+*quality*button4.translations: #override\n\
+     <Visible>: SetQualityState(4)\n\
+     <Btn1Down>,<Btn1Up>: SetQuality(4) HideQuality()
+
+*quality*button5.label: 5
+
+*quality*button5.type: toggle
+
+*quality*button5.translations: #override\n\
+     <Visible>: SetQualityState(5)\n\
+     <Btn1Down>,<Btn1Up>: SetQuality(5) HideQuality()
+
+*quality*button6.label: 6
+
+*quality*button6.type: toggle
+
+*quality*button6.translations: #override\n\
+     <Visible>: SetQualityState(6)\n\
+     <Btn1Down>,<Btn1Up>: SetQuality(6) HideQuality()
+
+*quality*button7.label: 7
+
+*quality*button7.type: toggle
+
+*quality*button7.translations: #override\n\
+     <Visible>: SetQualityState(7)\n\
+     <Btn1Down>,<Btn1Up>: SetQuality(7) HideQuality()
+
+*quality*button8.label: 8
+
+*quality*button8.type: toggle
+
+*quality*button8.translations: #override\n\
+     <Visible>: SetQualityState(8)\n\
+     <Btn1Down>,<Btn1Up>: SetQuality(8) HideQuality()
+
+*quality*button9.label: 9
+
+*quality*button9.type: toggle
+
+*quality*button9.translations: #override\n\
+     <Visible>: SetQualityState(9)\n\
+     <Btn1Down>,<Btn1Up>: SetQuality(9) HideQuality()
+
+*compress*buttonD.label: Dismiss
+
+*compress*buttonD.translations: #override\n\
+     <Btn1Down>,<Btn1Up>: HideCompress()
+
+*compress*button0.label: 0
+
+*compress*button0.translations: #override\n\
+     <Visible>: SetCompressState(0)\n\
+     <Btn1Down>,<Btn1Up>: SetCompress(0) HideCompress()
+
+*compress*button1.label: 1
+
+*compress*button1.translations: #override\n\
+     <Visible>: SetCompressState(1)\n\
+     <Btn1Down>,<Btn1Up>: SetCompress(1) HideCompress()
+
+*compress*button2.label: 2
+
+*compress*button2.translations: #override\n\
+     <Visible>: SetCompressState(2)\n\
+     <Btn1Down>,<Btn1Up>: SetCompress(2) HideCompress()
+
+*compress*button3.label: 3
+
+*compress*button3.translations: #override\n\
+     <Visible>: SetCompressState(3)\n\
+     <Btn1Down>,<Btn1Up>: SetCompress(3) HideCompress()
+
+*compress*button4.label: 4
+
+*compress*button4.translations: #override\n\
+     <Visible>: SetCompressState(4)\n\
+     <Btn1Down>,<Btn1Up>: SetCompress(4) HideCompress()
+
+*compress*button5.label: 5
+
+*compress*button5.translations: #override\n\
+     <Visible>: SetCompressState(5)\n\
+     <Btn1Down>,<Btn1Up>: SetCompress(5) HideCompress()
+
+*compress*button6.label: 6
+
+*compress*button6.translations: #override\n\
+     <Visible>: SetCompressState(6)\n\
+     <Btn1Down>,<Btn1Up>: SetCompress(6) HideCompress()
+
+*compress*button7.label: 7
+
+*compress*button7.translations: #override\n\
+     <Visible>: SetCompressState(7)\n\
+     <Btn1Down>,<Btn1Up>: SetCompress(7) HideCompress()
+
+*compress*button8.label: 8
+
+*compress*button8.translations: #override\n\
+     <Visible>: SetCompressState(8)\n\
+     <Btn1Down>,<Btn1Up>: SetCompress(8) HideCompress()
+
+*compress*button9.label: 9
+
+*compress*button9.translations: #override\n\
+     <Visible>: SetCompressState(9)\n\
+     <Btn1Down>,<Btn1Up>: SetCompress(9) HideCompress()
+
